import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react-swc';
import path from 'path';
import dts from 'vite-plugin-dts';
import sassDts from 'vite-plugin-sass-dts';
import ImportMetaEnvPlugin from '@import-meta-env/unplugin';

export default defineConfig({
  plugins: [
    react(),
    // basicSsl(),
    dts({
      insertTypesEntry: true,
    }),
    sassDts(),
    ImportMetaEnvPlugin.vite({
      example: '.env.example',
    }),
  ],
  resolve: {
    alias: {
      '@graphpolaris/shared/lib': path.resolve(__dirname, '../../libs/shared/lib'),
      '@graphpolaris/config': path.resolve(__dirname, '../../libs/config/src'),
    },
  },
  define: {
    global: {},
  },
});
